GDBserver

Public Attributes | List of all members
link_map_offsets Struct Reference

## Public Attributes
int | r_version_offset
int | r_map_offset
int | l_addr_offset
int | l_name_offset
int | l_ld_offset
int | l_next_offset
int | l_prev_offset

## Detailed Description

Definition at line 6950 of file linux-low.c.

## Member Data Documentation

## ◆ l_addr_offset

int link_map_offsets::l_addr_offset

Definition at line 6959 of file linux-low.c.

Referenced by linux_qxfer_libraries_svr4().

## ◆ l_ld_offset

int link_map_offsets::l_ld_offset

Definition at line 6965 of file linux-low.c.

Referenced by linux_qxfer_libraries_svr4().

## ◆ l_name_offset

int link_map_offsets::l_name_offset

Definition at line 6962 of file linux-low.c.

Referenced by linux_qxfer_libraries_svr4().

## ◆ l_next_offset

int link_map_offsets::l_next_offset

Definition at line 6968 of file linux-low.c.

Referenced by linux_qxfer_libraries_svr4().

## ◆ l_prev_offset

int link_map_offsets::l_prev_offset

Definition at line 6971 of file linux-low.c.

Referenced by linux_qxfer_libraries_svr4().

## ◆ r_map_offset

int link_map_offsets::r_map_offset

Definition at line 6956 of file linux-low.c.

Referenced by linux_qxfer_libraries_svr4().

## ◆ r_version_offset

int link_map_offsets::r_version_offset

Definition at line 6953 of file linux-low.c.

Referenced by linux_qxfer_libraries_svr4().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/gdbserver/linux-low.c